Last Comment Bug 705669 - Firefox Crash Report [@ js_ReportOutOfMemory ]
: Firefox Crash Report [@ js_ReportOutOfMemory ]
Status: RESOLVED FIXED
[qa-]
: crash, topcrash
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: 9 Branch
: x86 All
: -- critical (vote)
: mozilla11
Assigned To: general
:
Mentors:
Depends on:
Blocks: 487216
  Show dependency treegraph
 
Reported: 2011-11-28 07:19 PST by Marcia Knous [:marcia - use ni]
Modified: 2012-02-01 13:05 PST (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
affected
fixed


Attachments

Description Marcia Knous [:marcia - use ni] 2011-11-28 07:19:02 PST
Seen while looking at 8.0.1 crash data but happens up to Firefox 9. Mac only issue. https://crash-stats.mozilla.com/report/list?signature=js_ReportOutOfMemory.

Comments mention Cityville, Hulu.com, fullscreen slideshow and putting Mac to sleep.


https://crash-stats.mozilla.com/report/index/54015373-56ac-4b03-8c8d-33c6c2111127

Frame 	Module 	Signature [Expand] 	Source
0 	XUL 	js_ReportOutOfMemory 	js/src/jscompartment.h:640
1 	XUL 	JS_SetContextThread 	js/src/jsapi.cpp:6114
2 	XUL 	nsXPConnect::BeginCycleCollection 	js/src/xpconnect/src/nsXPConnect.cpp:482
3 	XUL 	nsCycleCollector::BeginCollection 	xpcom/base/nsCycleCollector.cpp:2728
4 	XUL 	nsCycleCollectorRunner::Run 	xpcom/base/nsCycleCollector.cpp:3492
5 	XUL 	nsThread::ProcessNextEvent 	xpcom/threads/nsThread.cpp:631
6 	XUL 	NS_ProcessNextEvent_P 	obj-firefox/i386/xpcom/build/nsThreadUtils.cpp:245
7 	XUL 	nsThread::ThreadFunc 	xpcom/threads/nsThread.cpp:272
8 	libnspr4.dylib 	_pt_root 	nsprpub/pr/src/pthreads/ptthread.c:187
9 	libSystem.B.dylib 	_pthread_start 	
10 	libSystem.B.dylib 	thread_start
Comment 2 Steven Michaud [:smichaud] (Retired) 2011-11-29 11:42:10 PST
With the exception of a few weird outliers (on FF 3.6.X), the oldest build on which I can find these crashes (on either Windows or OS X) is dated 2011-09-28.
Comment 3 Scoobidiver (away) 2011-12-14 03:33:32 PST
It's #8 top crasher in 8.0.1 on Mac OS X.

Here are some correlations per module:
  js_ReportOutOfMemory|EXC_BAD_ACCESS / KERN_PROTECTION_FAILURE (42 crashes)
     93% (39/42) vs.  38% (954/2506) libssl.0.9.7.dylib
     98% (41/42) vs.  43% (1074/2506) libcrypto.0.9.7.dylib
    100% (42/42) vs.  50% (1265/2506) QuickTime
    100% (42/42) vs.  50% (1265/2506) HTMLRendering
    100% (42/42) vs.  50% (1265/2506) CarbonSound
    100% (42/42) vs.  50% (1265/2506) NavigationServices
Comment 4 timeless 2011-12-20 13:33:10 PST
fwiw, this crash doesn't exist in this place anymore on trunk, there was temporarily code which accessed cx->thread->data [via JS_THREAD_DATA] without testing cx->thread (which will be null when JS_SetThreadContext fails and needs to report OOM).

Today, the crash ends up being in the guy who gets called after JS_SetThreadContext fails and returns. There's another bug for this.

If you wanted to make this specific signature go away, code could be added to the 9.0 branch to make it go away, but it'd just move the crash to the next bug report (which isn't an improvement at all).

I'd resolve this as "FIXED"

this crash was introduced by:
http://hg.mozilla.org/mozilla-central/rev/6936f8a3fba7 - Bug 487216 - jorendorff

and was removed by this landing:
http://hg.mozilla.org/mozilla-central/diff/60f879bef90e/js/src/jscntxt.cpp

(you [well, I] crash elsewhere today)
Comment 5 Scoobidiver (away) 2011-12-20 14:15:18 PST
Per comment 4, I close it as fixed.

Note You need to log in before you can comment on or make changes to this bug.